Bug 187181 - smartd-conf.py does not support sata
Summary: smartd-conf.py does not support sata
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-29 00:27 UTC by John Newbigin
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006:0387
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 06:37:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Newbigin 2006-03-29 00:27:55 UTC
Description of problem:
The config file created by /usr/sbin/smartd-conf.py is pata only.

Version-Release number of selected component (if applicable):
2.4-13.1.80


How reproducible:
Every time

Steps to Reproduce:
1. Install on a machine with SATA
2.
3.
  
Also, smartctl outputs:
SATA disks accessed via libata are not currently supported by
smartmontools. When libata is given an ATA pass-thru ioctl() then an
additional '-d libata' device type will be added to smartmontools.

But the command should be '-d ata'

Even better though would be auto-detect.

Comment 1 Tomas Mraz 2006-09-20 06:37:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0387.html




Note You need to log in before you can comment on or make changes to this bug.